### Method

# Ide BufferAddin language_set

#### Declaration

    void
    ide_buffer_addin_language_set (
      IdeBufferAddin* self,
      IdeBuffer* buffer,
      const gchar* language_id
    )

#### Description

This vfunc is called when the source language in the buffer changes. This will only be delivered to addins that support multiple languages.

Available since: | 3.32

#### Parameters

`buffer` | `IdeBuffer`
| An `IdeBuffer`.
| The data is owned by the caller of the function.
`language_id` | `const gchar*`
| The GtkSourceView language identifier.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.